Loading...
Searching...
No Matches
Opm::Python Class Reference

## Public Types

enum class | Enable { ON , TRY , OFF }

## Public Member Functions

| Python (Enable enable=Enable::TRY)
bool | exec (const std::string &python_code) const
bool | exec (const std::string &python_code, const Parser &parser, Deck &deck) const
bool | exec (const Action::PyAction &py_action, EclipseState &ecl_state, Schedule &schedule, std::size_t report_step, SummaryState &st) const
bool | enabled () const
bool | run_module (const std::string &path)

## Static Public Member Functions

static bool | supported ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Python/Python.hpp
- opm/input/eclipse/Python/Python.cpp